#ifndef __TEMPBUFSPACE_C__
#define __TEMPBUFSPACE_C__
/*
 *   $RCSfile: TempBufSpace.C,v $  
 *   $Revision: 1.1 $  
 *   $Date: 1993/04/15 16:43:29 $      
 */ 

/**********************************************************************
* EXODUS Database Toolkit Software
* Copyright (c) 1991 Computer Sciences Department, University of
*                    Wisconsin -- Madison
* All Rights Reserved.
*
* Permission to use, copy, modify and distribute this software and its
* documentation is hereby granted, provided that both the copyright
* notice and this permission notice appear in all copies of the
* software, derivative works or modified versions, and any portions
* thereof, and that both notices appear in supporting documentation.
*
* THE COMPUTER SCIENCES DEPARTMENT OF THE UNIVERSITY OF WISCONSIN --
* MADISON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS" CONDITION.  
* THE DEPARTMENT DISCLAIMS ANY LIABILITY OF ANY KIND FOR ANY DAMAGES
* WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
*
* The EXODUS Project Group requests users of this software to return 
* any improvements or extensions that they make to:
*
*   EXODUS Project Group 
*     c/o David J. DeWitt and Michael J. Carey
*   Computer Sciences Department
*   University of Wisconsin -- Madison
*   Madison, WI 53706
*
*	 or exodus@cs.wisc.edu
*
* In addition, the EXODUS Project Group requests that users grant the 
* Computer Sciences Department rights to redistribute these changes.
**********************************************************************/

#include "sysdefs.h"
#include "ess.h"
#include "bf.h"
#include "PAGEHASH.h" /* to be sure the funcs get defined */
#include "msg_funcs.h"

#ifndef SERVER_MAKE
#include "serverinfo.h"
#include "chunk.h"
#include "sm_globals.h"
#endif

#include "error.h"
#include "bf_extfuncs.h"
#include "TempBufSpace.h"

/* cfront can't handle having this inline */
TempBufSpace::TempBufSpace(int numBytes)
{
	PAGE2SIZE	page2size = 0;
	groupLink = NULL;
	int			i;
	for (i = MIN_PAGE2SIZE; i<=MAX_PAGE2SIZE; i++) {
		if (numBytes <= (1 << i)) {
			page2size = i;
			break;
		}
	}
	if (page2size != 0) 
		groupLink = bf_GetTempPage(page2size);
}


#endif /* __TEMPBUFSPACE_C__ */
